Summary:	SSH-askpass for KDE
Name:		ksshaskpass
Version:	0.5.3
Release:	%mkrel 7
License:	GPLv2+
Group:		Networking/Remote access
Source0:	http://www.kde-apps.org/CONTENT/content-files/50971-%name-%version.tar.gz
Url:		http://www.kde-apps.org/content/show.php?content=50971
BuildRequires:	kdelibs4-devel
Requires:	openssh-clients
Requires:	openssh-askpass-common

%description
A KDE version of ssh-askpass with KWallet support.

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

# fix .desktop file
# old icon doesn't exist any more
sed -i s,Icon=.*,Icon=dialog-password,g %{buildroot}%{_kde_applicationsdir}/ksshaskpass.desktop

desktop-file-install --vendor=mageia \
		--remove-key="Encoding" \
		--delete-original \
		--dir=%{buildroot}%{_kde_applicationsdir} %{buildroot}%{_kde_applicationsdir}/ksshaskpass.desktop

%post
update-alternatives --install %{_libdir}/ssh/ssh-askpass ssh-askpass %{_kde_bindir}/%{name} 40
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_kde_bindir}/%{name} 40

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_kde_bindir}/%{name}
update-alternatives --remove bssh-askpass %{_kde_bindir}/%{name}

%triggerin -- ksshaskpass < 0.5
update-alternatives --remove ssh-askpass %{_libdir}/ssh/%{name}
update-alternatives --remove bssh-askpass %{_libdir}/ssh/%{name}

%clean

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING INSTALL README
%{_kde_bindir}/*
%{_kde_applicationsdir}/*.desktop
%{_mandir}/man1/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-7.mga3
+ Revision: 356508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 02 2012 zezinho <zezinho> 0.5.3-6.mga2
+ Revision: 227840
- add requires openssh-askpass-common as it does not work without it

* Wed Jan 26 2011 ahmad <ahmad> 0.5.3-5.mga1
+ Revision: 41455
- imported package ksshaskpass

